{
  "easycom": {
		"custom":{
    	"^w-(.*)": "@uni-ui/code-ui/components/w-$1/index.vue"//二维码条形码的配置
		}
  },
  "pages": [
    {
      "path": "pages/index/index",
      "style": {
        "navigationBarTitleText": "",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/category/category",
      "style": {
        "navigationBarTitleText": "分类"
      }
    },
    {
      "path": "pages/cart/cart",
      "style": {
        "navigationBarTitleText": "购物车"
      }
    },
    {
      "path": "pages/live-broadcast/live-broadcast",
      "style":{
        "navigationBarTitleText":"直播"
      }
    },
    {
      "path": "pages/my/my",
      "style": {
        "navigationBarTitleText": "我的"
      }
    },
    {
			"path": "pages/terms-page/terms-page"
		}
		,
    {
      "path": "pages/tag-list/tag-list",
      "style": {
        "navigationBarTitleText": "分组列表"
      }
    },
		{
			"path": "pages/message-platform/message-platform",
			"style": {
				"navigationBarTitleText": "系统通知"
			}
		},
		{
			"path": "pages/delivery-certificate/delivery-certificate",
			"style": {
				"navigationBarTitleText": "自提凭证"
			}
		},
		{
			"path": "pages/logistics-detail/logistics-detail",
			"style": {
				"navigationBarTitleText": "物流详情"
			}
		},
		{
			"path": "pages/detail/detail",
			"style": {
				"navigationBarTitleText": "商品详情"
			}
		},
    {
      "path": "pages/search-list/search-list",
      "style": {
        "navigationBarTitleText": "分类列表"
      }
    },
    {
      "path": "pages/search-page/search-page",
      "style": {
        "navigationBarTitleText": "搜索"
      }
    },
		{
			"path": "pages/coupon-products/coupon-products",
			"style": {
				"navigationBarTitleText": "优惠券商品列表"
			}
		},
		{
			"path": "pages/discount-package-detail/discount-package-detail",
			"style": {
				"navigationBarTitleText": "优惠套餐"
			}
		},
		{
			"path": "pages/payment-result/payment-result",
			"style": {
				"navigationBarTitleText": "支付结果"
			}
		},
		{
			"path" : "pages/web-view/web-view",
			"style" :
			{
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}
		},
		{
			"path": "pages/feature-index/feature-index"
		}
  ],
  // 分包配置
  "subPackages" : [
    // 店铺分包
    {
      "root": "package-shop",
      "pages": [
        {
          "path": "shop-page/shop-index/shop-index",
          "style": {
            "navigationBarTitleText": "店铺首页"
          }
        },
        {
          "path": "shop-page/shop-prods/shop-prods",
          "style": {
            "navigationBarTitleText": "店铺商品"
          }
        },
        {
          "path": "shop-page/notice-list/notice-list",
          "style": {
            "navigationBarTitleText": "店铺公告"
          }
        },
        {
          "path": "shop-page/shop-category/shop-category",
          "style": {
            "navigationBarTitleText": "店铺分类"
          }
        },
        {
          "path": "shop-page/feature-index/feature-index",
          "style": {
            "navigationBarTitleText": ""
          }
        },
        {
          "path": "shop-page/shop-search/shop-search",
          "style": {
            "navigationBarTitleText": "店铺搜索"
          }
        }
      ]
    },
    // 活动功能分包
		{
			"root": "package-activities",
			"pages": [
				{
					"path": "pages/live-room/live-room",
					"style": {
						"navigationStyle":"custom",
						"app-plus": {
							"titleNView": false,
							"safearea" : {
								"bottom" : {
									"offset" : "none"
								}
							}
						},
						"h5": {
							"titleNView": false
						}
					}
				},
				{
					"path": "pages/wx-player/wx-player",
					"style": {
						"navigationStyle":"custom"
					}
				},
				{
					"path": "pages/payment/payment",
					"style": {
						"navigationBarTitleText": "订单支付"
					}
				},
        {
					"path": "pages/allinpay-withdrawal/allinpay-withdrawal",
					"style": {
						"navigationBarTitleText": "余额提现"
					}
				},
				{
					"path": "pages/history/history",
					"style": {
						"navigationBarTitleText": "我的足迹"
					}
				},
				{
					"path": "pages/message-detail/message-detail",
					"style": {
						"navigationBarTitleText": "详情"
					}
				},
        {
					"path": "pages/new-prods/new-prods",
					"style": {
						"navigationBarTitleText": "新品推荐"
					}
				},
        {
					"path": "pages/discount-list/discount-list",
					"style": {
						"navigationBarTitleText": "打折特惠"
					}
				},
        {
					"path": "pages/discount-detail/discount-detail",
					"style": {
						"navigationBarTitleText": "活动详情"
					}
				},
        {
					"path": "pages/group-prods/group-prods",
					"style": {
						"navigationBarTitleText": "超值团购"
					}
				},
				{
					"path": "pages/group-detail/group-detail",
					"style": {
						"navigationBarTitleText": "拼团详情"
					}
				},
        {
					"path": "pages/seckill-prods/seckill-prods",
					"style": {
						"navigationBarTitleText": "限时秒杀"
					}
				},
        {
					"path": "pages/coupon-center/coupon-center",
					"style": {
						"navigationBarTitleText": "领券中心"
					}
				},
        {
					"path": "pages/my-coupons/my-coupons",
					"style": {
						"navigationBarTitleText": "优惠券"
					}
				},
        {
					"path": "pages/distribution-center/distribution-center",
					"style": {
						"navigationBarTitleText": "分销中心"
					}
				},
        {
					"path": "pages/apply-distribution/apply-distribution",
					"style": {
						"navigationBarTitleText": "分销员招募计划"
					}
				},
        {
					"path": "pages/apply-distCon/apply-distCon",
					"style": {
						"navigationBarTitleText": "申请成为分销员"
					}
				},
				{
					"path": "pages/distribution-notice/distribution-notice",
					"style": {
						"navigationBarTitleText": "分销公告"
					}
				},
				{
					"path": "pages/distribution-notice-detail/distribution-notice-detail",
					"style": {
						"navigationBarTitleText": "公告详情"
					}
				},
				{
					"path": "pages/my-friends/my-friends",
					"style": {
						"navigationBarTitleText": "我的好友"
					}
				},
        {
					"path": "pages/my-users/my-users",
					"style": {
						"navigationBarTitleText": "我的用户"
					}
				},
				{
					"path": "pages/my-distribution/my-distribution",
					"style": {
						"navigationBarTitleText": "我的推广"
					}
				},
				{
					"path": "pages/income-details/income-details",
					"style": {
						"navigationBarTitleText": "收益明细"
					}
				},
				{
					"path": "pages/withdrawal/withdrawal",
					"style": {
						"navigationBarTitleText": "申请提现"
					}
				},
				{
					"path": "pages/withdrawal-record/withdrawal-record",
					"style": {
						"navigationBarTitleText": "提现记录"
					}
				},
				{
					"path": "pages/promote-goods/promote-goods",
					"style": {
						"navigationBarTitleText": "推广商品"
					}
				},
				{
					"path": "pages/invitation-card/invitation-card",
					"style": {
						"navigationBarTitleText": "邀请好友"
					}
				},
				{
					"path": "pages/member-center/member-center",
					"style": {
						"navigationBarTitleText": "会员中心"
					}
				},
				{
					"path": "pages/member-center-general/member-center-general",
					"style": {
						"navigationBarTitleText": "普通会员"
					}
				},
				{
					"path": "pages/member-recharge/member-recharge",
					"style": {
						"navigationBarTitleText": "续费会员服务"
					}
				},
				{
					"path": "pages/sign-in/sign-in",
					"style": {
						"navigationBarTitleText": "每日签到"
					}
				},
				{
					"path": "pages/member-benefits/member-benefits",
					"style": {
						"navigationBarTitleText": "会员特权"
					}
				},
				{
					"path": "pages/member-benefits-general/member-benefits-general",
					"style": {
						"navigationBarTitleText": "会员特权-普通"
					}
				},
				{
					"path": "pages/member-allPrivileges/member-allPrivileges",
					"style": {
						"navigationBarTitleText": "全部权益"
					}
				},
				{
					"path": "pages/my-balance/my-balance",
					"style": {
						"navigationBarTitleText": "我的余额",
						"navigationBarBackgroundColor": "#FC1B35"
					}
				},
				{
					"path": "pages/my-collection/my-collection",
					"style": {
						"navigationBarTitleText": "我的收藏"
					}
				},
				{
					"path": "pages/recharge/recharge",
					"style": {
						"navigationBarTitleText": "充值余额"
					}
				},
				{
					"path": "pages/my-integral/my-integral",
					"style": {
						"navigationBarTitleText": "我的积分"
					}
				},
				{
					"path": "pages/integral-mall/integral-mall",
					"style": {
						"navigationBarTitleText": "积分商城"
					}
				},
				{
					"path": "pages/integral-record/integral-record",
					"style": {
						"navigationBarTitleText": "兑换记录"
					}
				},
				{
					"path": "pages/score-prod-detail/score-prod-detail",
					"style": {
						"navigationBarTitleText": "商品详情"
					}
				},
				{
					"path": "pages/integral-detail/integral-detail",
					"style": {
						"navigationBarTitleText": "积分明细"
					}
				},
        {
          "path": "pages/group-rules/group-rules",
          "style": {
            "navigationBarTitleText": "拼团规则"
          }
        }
      ]
    },
    // 退款
    {
      "root": "package-refund",
      "pages": [
        {
          "path": "pages/apply-refund/apply-refund",
          "style": {
            "navigationBarTitleText": "申请售后"
          }
        },
        {
          "path": "pages/plat-intervene/plat-intervene",
          "style": {
            "navigationBarTitleText": ""
          }
        },
        {
          "path": "pages/refund-list/refund-list",
          "style": {
            "navigationBarTitleText": "退款订单"
          }
        },
        {
          "path": "pages/refund-detail/refund-detail",
          "style": {
            "navigationBarTitleText": "退款详情"
          }
        },
        {
          "path": "pages/refund-logistics/refund-logistics",
          "style": {
            "navigationBarTitleText": "填写物流"
          }
        }
      ]
    },
    // 用户分包：客服、用户地址、用户信息、用户钱包、订单等
    {
      "root": "package-user",
      "pages": [
        {
          "path": "pages/user-login/user-login",
          "style": {
            "navigationBarTitleText": "用户登录"
          }
        },
        {
          "path": "pages/login-success/login-success",
          "style": {
            "navigationBarTitleText": "登录成功"
          }
        },
        {
          "path": "pages/user-settings/user-settings",
          "style": {
            "navigationBarTitleText": "用户设置"
          }
        },
        {
          "path": "pages/address-list/address-list",
          "style": {
            "navigationBarTitleText": "地址管理"
          }
        },
        {
          "path": "pages/edit-address/edit-address",
          "style": {
            "navigationBarTitleText": "编辑地址"
          }
        },
        {
          "path": "pages/order/order",
          "style": {
            "navigationBarTitleText": "我的订单"
          }
        },
        {
          "path": "pages/order-detail/order-detail",
          "style": {
            "navigationBarTitleText": "订单详情"
          }
        },
        {
          "path": "pages/edit-page/edit-page",
          "style": {
            "navigationBarTitleText": "修改信息"
          }
        },
        {
          "path": "pages/personal-recommend/personal-recommend",
          "style": {
            "navigationBarTitleText": "个性化推荐"
          }
        },
        {
          "path": "pages/logout/logout",
          "style": {
            "navigationBarTitleText": "退出登录"
          }
        },
        {
          "path": "pages/cancellation/cancellation",
          "style": {
            "navigationBarTitleText": "注销账号"
          }
        },
        {
          "path": "pages/my-chat/my-chat",
          "style": {
            "navigationBarTitleText": "客服聊天"
          }
        },
        {
          "path": "pages/comment-page/comment-page",
          "style": {
            "navigationBarTitleText": "商品评价"
          }
        },
        {
          "path": "pages/pord-comment/pord-comment",
          "style": {
            "navigationBarTitleText": "发表评价"
          }
        },
        {
          "path": "pages/invoice-detail/invoice-detail",
          "style": {
            "navigationBarTitleText": "发票详情"
          }
        },
        {
          "path": "pages/submit-order/submit-order",
          "style": {
            "navigationBarTitleText": "提交订单"
          }
        },
        {
          "path": "pages/station-order-list/station-order-list",
          "style": {
            "navigationBarTitleText": "自提点订单列表"
          }
        },
        {
          "path": "pages/submit-score-order/submit-score-order",
          "style": {
            "navigationBarTitleText": "提交订单"
          }
        },
        {
          "path": "pages/select-store/select-store",
          "style": {
            "navigationBarTitleText": "选择门店"
          }
        },
        {
          "path": "pages/voucher-code/voucher-code",
          "style": {
            "navigationBarTitleText": "核销码"
          }
        },
        {
          "path": "pages/bind-bank-card/bind-bank-card",
          "style": {
            "navigationBarTitleText": "银行卡绑定"
          }
        },
        {
          "path": "pages/realname-verification/realname-verification",
          "style": {
            "navigationBarTitleText": "实名认证"
          }
        },
        {
          "path": "pages/bank-card-list/bank-card-list",
          "style": {
            "navigationBarTitleText": "银行卡信息"
          }
        },
        {
          "path": "pages/redirect/redirect",
          "style": {
            "navigationBarTitleText": "提现签约"
          }
        },
        {
          "path": "pages/bind-mobile/bind-mobile",
          "style": {
            "navigationBarTitleText": "绑定手机"
          }
        },
        {
          "path": "pages/allinpay-pwd/allinpay-pwd",
          "style": {
            "navigationBarTitleText": "支付密码"
          }
        },
        {
          "path": "pages/write-offs-records/write-offs-records",
          "style": {
            "navigationBarTitleText": "核销记录"
          }
        },
        {
          "path": "pages/write-offs-records-all/write-offs-records-all",
          "style": {
            "navigationBarTitleText": "核销记录"
          }
        },
        {
          "path": "pages/combine-detail-list/combine-detail-list",
          "style": {
            "navigationBarTitleText": "组合商品"
          }
        }
      ]
    }
  ],
  "preloadRule": {
    "pages/index/index": {
      "network": "all",
      "packages": [
        "package-activities"
      ]
    }
  },
  "tabBar": {
    "selectedColor": "#fc1b35",
    "color": "#333333",
    "list": [
      {
        "pagePath": "pages/index/index",
        "text": "首页",
        "iconPath": "/static/tabbar/index.png",
        "selectedIconPath": "/static/tabbar/index-r.png"
      },
      {
        "pagePath": "pages/category/category",
        "text": "分类",
        "iconPath": "/static/tabbar/category.png",
        "selectedIconPath": "/static/tabbar/category-r.png"
      },
      {
        "pagePath": "pages/live-broadcast/live-broadcast",
        "text": "直播",
        "iconPath": "/static/tabbar/live.png",
        "selectedIconPath": "/static/tabbar/live-sel.png"
      },
      {
        "pagePath": "pages/cart/cart",
        "text": "购物车",
        "iconPath": "/static/tabbar/cart.png",
        "selectedIconPath": "/static/tabbar/cart-r.png"
      },
      {
        "pagePath": "pages/my/my",
        "text": "我的",
        "iconPath": "/static/tabbar/my.png",
        "selectedIconPath": "/static/tabbar/my-r.png"
      }
    ],
    "backgroundColor": ""
  },
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "origin",
    "navigationBarBackgroundColor": "#ffffff",
    "rpxCalcMaxDeviceWidth": 1024
  }
}
